class Donation < ApplicationRecord
  # Relations
  belongs_to :user

  # Validations
  validates_presence_of :user
  validates_presence_of :amount_sats
  validates_presence_of :paid_at

  # Hooks
  # TODO before_create :store_fiat_value

  #Scopes
  scope :completed, -> { where.not(paid_at: nil) }
end
